org.apache.poi.ss.formula.functions

## Class Roman

- java.lang.Object
- - org.apache.poi.ss.formula.functions.Fixed2ArgFunction
  - - org.apache.poi.ss.formula.functions.Roman

- All Implemented Interfaces:
    Function, Function2Arg

      public class Roman
      extends Fixed2ArgFunction

  Implementation for Excel WeekNum() function.

  Syntax:
  WeekNum (Serial_num,Return_type)

  Returns a number that indicates where the week falls numerically within a year.

  Serial_num is a date within the week. Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text. Return_type is a number that determines on which day the week begins. The default is 1. 1 Week begins on Sunday. Weekdays are numbered 1 through 7. 2 Week begins on Monday. Weekdays are numbered 1 through 7.

  Author:
    cedric dot walter @ gmail dot com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `ROMAN`
    `static int[]` | `VALUES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Roman()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval numberVE, ValueEval formVE)` see `Function.evaluate(ValueEval[], int, int)`
    `java.lang.String` | `makeConcise(java.lang.String result, int form)` Use conversion rule to factor some parts and make them more concise

    - ### Methods inherited from class org.apache.poi.ss.formula.functions.Fixed2ArgFunction

      `evaluate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALUES

          public static final int[] VALUES

    - #### ROMAN

          public static final java.lang.String[] ROMAN

  - ### Constructor Detail

    - #### Roman

          public Roman()

  - ### Method Detail

    - #### evaluate

          public ValueEval evaluate(int srcRowIndex,
                                    int srcColumnIndex,
                                    ValueEval numberVE,
                                    ValueEval formVE)

      Description copied from interface: `Function2Arg`
      see `Function.evaluate(ValueEval[], int, int)`

    - #### makeConcise

          public java.lang.String makeConcise(java.lang.String result,
                                              int form)

      Use conversion rule to factor some parts and make them more concise
      Parameters:
        `result` -
        `form` -

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.